# hmm

integron_finder.hmm.read_hmm(replicon_id, prot_db, infile, cfg, evalue=1.0, coverage=0.5)

  Function that parse hmmer –out output and returns a pandas DataFrame filter output by evalue and coverage. (Being % of the profile aligned)

  Parameters:

    - replicon_id (str) – the id of the replicon

    - prot_db (`integron_finder.prot_db.ProteinDB` object.) – The protein database corresponding to the replicon translation

    - infile (str) – the hmm output (in tabulated format) to parse

    - cfg (`integron_finder.config.Config` object.) – the config

    - evalue (float) – filter out hits with evalue greater tha evalue.

    - coverage (float) – filter out hits with coverage under coverage (% of the profile aligned)

  Returns:

    data Frame with columns:

    ”Accession_number”, “query_name”, “ID_query”, “ID_prot”, “strand”, “pos_beg”, “pos_end”, “evalue”
    each row correspond to a hit.
  Return type:

    a `pandas.DataFrame`

integron_finder.hmm.scan_hmm_bank(path)
  Parameters:

    path (str) –

    - if the path is a dir: return all files ending with .hmm in the dir

    - if the path is a file: parse the file, each line must be an expression (glob) pointing to hmm files

  Returns:

    lists of hmm files to consider for annotation

  Return type:

    list of str

  Raises:

    IOError – if the path does not exists